# OqlOrderByExpression Class Reference
[Object Query Language based on Criteria]

Inheritance diagram for OqlOrderByExpression:
[legend]

List of all members.

## Public Member Functions

| __construct (OqlQueryParameter $parameter, $direction)
| evaluate ($values)

## Public Attributes

const | CLASS_NAME = 'OrderBy'

## Private Attributes

| $direction = null

## Detailed Description

Definition at line 15 of file OqlOrderByExpression.class.php.

## Constructor & Destructor Documentation

OqlOrderByExpression::__construct | ( | OqlQueryParameter $ | parameter,
|  | $ | direction |
| ) |  |  |

Definition at line 21 of file OqlOrderByExpression.class.php.

References $direction, OqlQueryExpression::addParameter(), and OqlQueryExpression::setClassName().

Here is the call graph for this function:

## Member Function Documentation

OqlOrderByExpression::evaluate | ( | $ | values | ) |

Returns:
  OrderBy

Reimplemented from OqlQueryExpression.

Definition at line 33 of file OqlOrderByExpression.class.php.

## Member Data Documentation

OqlOrderByExpression::$direction = null`[private]`

Definition at line 19 of file OqlOrderByExpression.class.php.

Referenced by __construct().

const OqlOrderByExpression::CLASS_NAME = 'OrderBy'

Definition at line 17 of file OqlOrderByExpression.class.php.

The documentation for this class was generated from the following file:

- main/OQL/Expressions/OqlOrderByExpression.class.php